Payment
Subscriptions Get
deprecated
[DEPRECATED] Use /payment/service-subscriptions/ instead.
GET
/
payment
/
subscription
Subscriptions Get
curl --request GET \
--url https://ctechnology.io/api/v2.2/payment/subscription \
--header 'Authorization: <api-key>'import requests
url = "https://ctechnology.io/api/v2.2/payment/subscription"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://ctechnology.io/api/v2.2/payment/subscription', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"header": {
"api_version": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
],
"status": "<string>",
"num_results": 123,
"message": "<string>",
"offset": 123,
"limit": 123
},
"data": [
{
"id": "<string>",
"timestamp_start": "2023-11-07T05:31:56Z",
"timestamp_end": "2023-11-07T05:31:56Z",
"service_type": "BASE",
"user_id": "<string>",
"vehicle_id": "<string>",
"stripe_subscription": "<string>",
"voucher_id": "<string>"
}
]
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>"
}
}Authorizations
Note that the API key has to be sent as Token 123 where 123 is
the key you received after logging in or by creating on the developer
dashboard.
Query Parameters
⌘I
Subscriptions Get

